HepMC3 event record library: _children Class Reference

HepMC3 event record library

Public Member Functions
_children Class Reference

## Detailed Description

Provides operator to find the child particles of a Vertex or Particle.

Note you would usually not instantiate this directly, but wrap it in a RelativesInterface

Definition at line 99 of file Relatives.h.

`#include <Relatives.h>`

## Public Member Functions
template<typename GenObject_type, typename dummy>
GenParticles_type< GenObject_type > | operator() (GenObject_type input) const
| operator
template<typename GenObject_type, typename std::enable_if< std::is_same< GenVertex, typename std::remove_const< typename GenObject_type::element_type >::type >::value, int * >::type = nullptr>
GenParticles_type< GenObject_type > | operator() (GenObject_type input) const
| operator
template<typename GenObject_type, typename std::enable_if< std::is_same< GenParticle, typename std::remove_const< typename GenObject_type::element_type >::type >::value, int * >::type = nullptr>
GenParticles_type< GenObject_type > | operator() (GenObject_type input) const
| operator
template<typename GenObject_type>
GenVertex_type< GenObject_type > | vertex (GenObject_type input) const
| operator

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename GenObject_type, typename std::enable_if< std::is_same< GenParticle, typename std::remove_const< typename GenObject_type::element_type >::type >::value, int * >::type = nullptr>

GenParticles_type< GenObject_type > operator() | ( | GenObject_type | input | ) | const
| inline

operator

Definition at line 111 of file Relatives.h.

References vertex().

## ◆ operator()() [2/3]

template<typename GenObject_type, typename std::enable_if< std::is_same< GenVertex, typename std::remove_const< typename GenObject_type::element_type >::type >::value, int * >::type = nullptr>

GenParticles_type< GenObject_type > operator() | ( | GenObject_type | input | ) | const
| inline

operator

Definition at line 107 of file Relatives.h.

## ◆ operator()() [3/3]

template<typename GenObject_type, typename dummy>

GenParticles_type< GenObject_type > operator() | ( | GenObject_type | input | ) | const

operator

## ◆ vertex()

template<typename GenObject_type>

GenVertex_type< GenObject_type > vertex | ( | GenObject_type | input | ) | const
| inline

operator

Definition at line 115 of file Relatives.h.

The documentation for this class was generated from the following file:

- Relatives.h